import { TokenResponse, PresignUploadResponse, PresignDownloadResponse } from '../lib/types';
export declare function initializeAPI(url: string, getToken: () => Promise<TokenResponse>): void;
export declare function getValidToken(forceRefresh?: boolean): Promise<string>;
export declare function apiRequest(endpoint: string, method: string | undefined, body: any | undefined, options: {
    cache?: boolean;
    timeout?: number;
    language?: 'ar' | 'en';
}): Promise<any>;
export declare function presignUpload(chatSessionId: string, file: File, language?: 'ar' | 'en'): Promise<PresignUploadResponse>;
export declare function presignDownload(fileId: string, language?: 'ar' | 'en'): Promise<PresignDownloadResponse>;
